<template>
    <InnerLayout>
        <template>

            <section class="inner-content-area">
                <div v-if="category.success">
                    <bread-crumb :breadcrumbs="category.bread_crumbs" :category_name="category.name"></bread-crumb>
                </div>
                <div class="product-list-section">
                    <div v-if="category.success">
                        <div class="container">
                            <div class="row">
                                <div class="col-12">
                                    <div class="edit_link" v-show="auth_check">
                                        <span @click="moveToCategoryEdit()">Edit</span>
                                    </div>
                                    <div class="product-list-section-title">
                                        <h1>{{ category.name }}</h1>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <h2 class="desc_h2" v-if="category.subtitle != null">{{ category.subtitle }}</h2>
                                    <div class="cat-short-des" v-html="category.description"></div>
                                    
                                    <product-list :list="category.products"
                                        :pricings="category.pricing_location"></product-list>

                                    <div v-if="category.bottom_description!='' && category.bottom_description!=null" class="cat_cont_btm">
                                        <div class="h3" v-if="category.subtitle != null">{{ category.subtitle }}</div>
                                        <div v-html="category.bottom_description"></div>

                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                    <div v-else>
                        <div class="container">
                            <div class="v-row">
                                <div class="col-12">
                                    <h2>{{ category.name }}

                                    </h2><br>
                                    <h5 class="pl-4">{{ category.msg }}</h5>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="container">
                        <div class="cat_footer">
                            <ast-rent-hire></ast-rent-hire>
                        </div>
                    </div>
                </div>


            </section>
        </template>
    </InnerLayout>
</template>
<script>
import BreadCrumb from '~/components/front-end/bread-crumb.vue';
import InnerLayout from '~/layouts/inner.vue';
import ProductList from '~/components/front-end/product-detail/product-list.vue';
import AstRentHire from "@/components/front-end/rent-hire";
import options from '~/assets/options';
export default {
    components: { InnerLayout, ProductList, BreadCrumb, AstRentHire },
    props: ['category'],
    data() {
        return {
            auth_check: Boolean(this.$store.state.front_end_data.auth_check),
        }
    },
    mounted() {
    },
    methods: {
        moveToCategoryEdit() {
            window.open(options.API_URL + '/admin/category/' + this.category.id);
        },
    },
}
</script>